﻿using C1.Web.Wijmo.Controls.C1Input;
using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Collections.Specialized;
using System.Text;
using System.Collections;

namespace ScriptDatePicker
{
    /// <summary><see cref="DatePicker"/> コントロールは日付・時刻を指定することができるコントロールです。</summary>
    [ToolboxData("<{0}:DatePicker runat=server></{0}:DatePicker>")]
    public class DatePicker : C1InputDate
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            this.Page.ClientScript.RegisterStartupScript(this.GetType(), this.ID + "_script", @"<script>$.fn.datepicker = $.fn.c1inputdate</script>");
        }
    }
}